![graphic](https://raw.githubusercontent.com/OpenLauncherTeam/openlauncher/master/metadata/en-US/featureGraphic.png)

# OpenLauncher

This is an open source launcher project for Android devices that has been built completely from scratch. The main goal of this launcher is to find a healthy medium between customization and simplicity. At this point in time it implements most features required in a typical launcher but could benefit greatly from some general polish. If you would like to help out feel free to submit issues or ask about submitting a pull request with a feature you want to see in the launcher.

<div style="display:flex;">
<a href="https://f-droid.org/repository/browse/?fdid=com.benny.openlauncher">
    <img height="80" alt="Get it on F-Droid" src="https://f-droid.org/badge/get-it-on.png">
</a>
<a href="https://play.google.com/store/apps/details?id=com.benny.openlauncher">
    <img height="80" alt="Get it on Google Play" src="https://play.google.com/intl/en_us/badges/images/generic/en_badge_web_generic.png" />
</a>
</div>

## Description

<div style="display:flex;">
    <img src="https://raw.githubusercontent.com/OpenLauncherTeam/openlauncher/master/metadata/en-US/screenshots.png">
</div>

### Features

  * Paged desktop
  * Dock
  * Drag and drop
  * Hide apps
  * Scrollable background
  * Search bar
  * Icon packs

### Status

If your instance is crashing frequently please make sure you update to the latest version and reset the app data before creating an issue.

## Contributions

The project is always open for contributions and accepts pull requests. Please use the _auto reformat feature_ in Android Studio before sending a pull request. Translations can be contributed on GitHub. You can use Stringlate to translate the project directly on your Android phone. It allows you to post the translations on GitHub with little effort.

### Resources

  * Team: [bennykok](https://github.com/BennyKok) | [dkanada](https://github.com/dkanada) | [gsantner](https://gsantner.net/supportme?source=readme&project=openlauncher)
  * Project: [Changelog](/CHANGELOG.md) | [License](/LICENSE)
  * F-Droid: [Metadata](https://gitlab.com/fdroid/fdroiddata/blob/master/metadata/com.benny.openlauncher.txt) | [Page](https://f-droid.org/packages/com.benny.openlauncher/) | [Wiki](https://f-droid.org/wiki/page/com.benny.openlauncher) | [Build](https://f-droid.org/wiki/page/com.benny.openlauncher/lastbuild)
 
### Donation

  * Open Launcher Team: [liberapay](https://liberapay.com/OpenLauncherTeam/donate)
  * bennykok: [paypal](https://www.paypal.me/BennyKok) or [liberapay](https://liberapay.com/BennyKok/donate)
  * gsantner: [website](https://gsantner.net/supportme?source=readme&project=openlauncher) or [liberapay](https://liberapay.com/gsantner/donate)

### License

The app is licensed with Apache 2.0.
